Page MenuHomePhabricator

Recurring for apple pay through adyen
Closed, ResolvedPublic2 Estimated Story Points

Description

This was straightforward to implement so changing from investigate task to just do it task.

Event Timeline

DStrine set the point value for this task to 2.Aug 31 2021, 8:00 PM
DStrine moved this task from Triage to Current Sprint on the Fundraising-Backlog board.
DStrine triaged this task as High priority.Sep 2 2021, 4:58 PM

Change 717712 had a related patch set uploaded (by Cstone; author: Cstone):

[wikimedia/fundraising/SmashPig@master] WIP: Apple Pay recurring

https://gerrit.wikimedia.org/r/717712

The WIP above was just what I did to check that we got a response, looks straightforward so far.

Change 719681 had a related patch set uploaded (by Cstone; author: Cstone):

[mediawiki/extensions/DonationInterface@master] Add payment_method to authorize request

https://gerrit.wikimedia.org/r/719681

Cstone renamed this task from research recurring for apple pay through adyen to Recurring for apple pay through adyen.Sep 10 2021, 5:06 PM
Cstone updated the task description. (Show Details)
Cstone moved this task from Doing to Review on the fundraising sprint Quantum Leapfrog board.

Change 717712 merged by jenkins-bot:

[wikimedia/fundraising/SmashPig@master] Add Apple Pay recurring

https://gerrit.wikimedia.org/r/717712

Change 719681 merged by jenkins-bot:

[mediawiki/extensions/DonationInterface@master] Add payment_method to authorize request

https://gerrit.wikimedia.org/r/719681